### Hierarchy

- Translate
  - TranslateService

## Index

### Constructors

- constructor

### Properties

- _type
- defaultLanguage
- i18n
- language
- supportedLanguages
- t
- translations

### Accessors

- type
- instance

### Methods

- get
- instant
- singletonMethod
- use
- staticMethod

## Constructors

### constructor

- new TranslateService(enforcer: any): TranslateService

- Overrides Translate.constructor

  - Defined in translate/translate-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns TranslateService

## Properties

### _type

_type: string

- Defined in translate/translate-service.ts:8

### defaultLanguage

defaultLanguage: string = "en-US"

Inherited from Translate.defaultLanguage

- Defined in translate/translate.ts:8

### i18n

i18n: object = i18n

Inherited from Translate.i18n

- Defined in translate/translate.ts:6

#### Type declaration

- ##### en: object

  - ##### ADD: string

  - ##### ADDRESS: string

  - ##### ADMIN: string

  - ##### APPLICATION: string

  - ##### CANCEL: string

  - ##### CHANGE LANGUAGE: string

  - ##### CLOSE: string

  - ##### CONFIRM: string

  - ##### CONFIRM WARNING: string

  - ##### CONTACT: string

  - ##### CREATE: string

  - ##### CURRENT: string

  - ##### DATA: string

  - ##### DATE: string

  - ##### DELETE: string

  - ##### DELETE CONFIRM: string

  - ##### DELETE CONFIRM MULTIPLE: string

  - ##### DETAIL: string

  - ##### DETAILS: string

  - ##### EDIT: string

  - ##### EMAIL: string

  - ##### EMAIL ADDRESS: string

  - ##### EMAIL ERROR: string

  - ##### ERROR: string

  - ##### FIELD: string

  - ##### FIELD REQUIRED: string

  - ##### FORM INVALID: string

  - ##### FORM SUCCESS: string

  - ##### HOME: string

  - ##### LOGIN: string

  - ##### LOGIN ERROR: string

  - ##### LOGIN EXPIRED: string

  - ##### LOGOUT: string

  - ##### NAME: string

  - ##### NAME ERROR: string

  - ##### NETWORK ERROR: string

  - ##### PASSWORD: string

  - ##### PASSWORD ERROR: string

  - ##### PASSWORD MATCH ERROR: string

  - ##### PASSWORD REQUIRED: string

  - ##### REMARKS: string

  - ##### REMEMBER: string

  - ##### REQUIRED: string

  - ##### SAVE: string

  - ##### SECTION: string

  - ##### SECTIONS: string

  - ##### SUBMIT: string

  - ##### USER: string

  - ##### USERNAME: string

  - ##### USERS: string

- ##### nl: object

  - ##### ADD: string

  - ##### ADDRESS: string

  - ##### ADMIN: string

  - ##### APPLICATION: string

  - ##### CANCEL: string

  - ##### CHANGE LANGUAGE: string

  - ##### CLOSE: string

  - ##### CONFIRM: string

  - ##### CONFIRM WARNING: string

  - ##### CONTACT: string

  - ##### CREATE: string

  - ##### CURRENT: string

  - ##### DATA: string

  - ##### DATE: string

  - ##### DELETE: string

  - ##### DELETE CONFIRM: string

  - ##### DELETE CONFIRM MULTIPLE: string

  - ##### DETAIL: string

  - ##### DETAILS: string

  - ##### EDIT: string

  - ##### EMAIL: string

  - ##### EMAIL ADDRESS: string

  - ##### EMAIL ERROR: string

  - ##### ERROR: string

  - ##### FIELD: string

  - ##### FIELD REQUIRED: string

  - ##### FORM INVALID: string

  - ##### FORM SUCCESS: string

  - ##### LOGIN: string

  - ##### LOGIN ERROR: string

  - ##### LOGIN EXPIRED: string

  - ##### LOGOUT: string

  - ##### NAME: string

  - ##### PASSWORD: string

  - ##### PASSWORD ERROR: string

  - ##### PASSWORD MATCH ERROR: string

  - ##### PASSWORD REQUIRED: string

  - ##### SUBMIT: string

  - ##### TITLE: string

  - ##### USERNAME: string

### language

language: string

Inherited from Translate.language

- Defined in translate/translate.ts:7

### supportedLanguages

supportedLanguages: string[] = ['en-US','nl-NL']

Inherited from Translate.supportedLanguages

- Defined in translate/translate.ts:9

### t

t: object

Inherited from Translate.t

- Defined in translate/translate.ts:5

#### Type declaration

### translations

translations: object

Inherited from Translate.translations

- Defined in translate/translate.ts:13

#### Type declaration

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in translate/translate-service.ts:33

  #### Returns string

- - Defined in translate/translate-service.ts:37

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in translate/translate-service.ts:18

  #### Returns any

## Methods

### get

- get(string: string): string

- Inherited from Translate.get

  - Defined in translate/translate.ts:35

  #### Parameters

  - ##### string: string

  #### Returns string

### instant

- instant(string: string): string

- Inherited from Translate.instant

  - Defined in translate/translate.ts:39

  #### Parameters

  - ##### string: string

  #### Returns string

### singletonMethod

- singletonMethod(): string

- - Defined in translate/translate-service.ts:25

  #### Returns string

### use

- use(language: string): void

- Inherited from Translate.use

  - Defined in translate/translate.ts:27

  #### Parameters

  - ##### language: string

  #### Returns void

### Static staticMethod

- staticMethod(): string

- - Defined in translate/translate-service.ts:29

  #### Returns string